<?xml version="1.0" encoding="utf-8"?>
<!--Generated by DataTracks Rainbow version 3.5 for Toppan Merrill on 27-March-2024 [11:59:26] {PM}-->
<schema targetNamespace="http://www.derwentlondon.com/20231231" elementFormDefault="qualified" xmlns:dln="http://www.derwentlondon.com/20231231" xmlns="http://www.w3.org/2001/XMLSchema" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xbrli="http://www.xbrl.org/2003/instance" xmlns:xbrldt="http://xbrl.org/2005/xbrldt" xmlns:xl="http://www.xbrl.org/2003/XLink" xmlns:ifrs-full="https://xbrl.ifrs.org/taxonomy/2022-03-24/ifrs-full" xmlns:esef_cor="https://www.esma.europa.eu/taxonomy/2022-03-24/esef_cor" xmlns:lei="http://www.xbrl.org/taxonomy/int/lei/2020-07-02" xmlns:gen="http://xbrl.org/2008/generic" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:dtr-types="http://www.xbrl.org/dtr/type/2020-01-21">
<annotation>
<appinfo>
<link:roleType roleURI="http://www.derwentlondon.com/role/GroupIncomeStatement" id="GroupIncomeStatement">
<link:definition>1001 - Statement - Group income statement</link:definition>
<link:usedOn>link:presentationLink</link:usedOn>
<link:usedOn>link:definitionLink</link:usedOn>
<link:usedOn>link:calculationLink</link:usedOn>
</link:roleType>
<link:roleType roleURI="http://www.derwentlondon.com/role/GroupStatementOfComprehensiveIncome" id="GroupStatementOfComprehensiveIncome">
<link:definition>1002 - Statement - Group statement of comprehensive income</link:definition>
<link:usedOn>link:presentationLink</link:usedOn>
<link:usedOn>link:definitionLink</link:usedOn>
<link:usedOn>link:calculationLink</link:usedOn>
</link:roleType>
<link:roleType roleURI="http://www.derwentlondon.com/role/BalanceSheets" id="BalanceSheets">
<link:definition>1003 - Statement - Balance sheets</link:definition>
<link:usedOn>link:presentationLink</link:usedOn>
<link:usedOn>link:definitionLink</link:usedOn>
<link:usedOn>link:calculationLink</link:usedOn>
</link:roleType>
<link:roleType roleURI="http://www.derwentlondon.com/role/BalanceSheetsParentheticals" id="BalanceSheetsParentheticals">
<link:definition>1004 - Statement - Balance sheets (Parentheticals)</link:definition>
<link:usedOn>link:presentationLink</link:usedOn>
<link:usedOn>link:definitionLink</link:usedOn>
<link:usedOn>link:calculationLink</link:usedOn>
</link:roleType>
<link:roleType roleURI="http://www.derwentlondon.com/role/StatementsOfChangesInEquity" id="StatementsOfChangesInEquity">
<link:definition>1005 - Statement - Statements of changes in equity</link:definition>
<link:usedOn>link:presentationLink</link:usedOn>
<link:usedOn>link:definitionLink</link:usedOn>
<link:usedOn>link:calculationLink</link:usedOn>
</link:roleType>
<link:roleType roleURI="http://www.derwentlondon.com/role/CashFlowStatements" id="CashFlowStatements">
<link:definition>1006 - Statement - Cash flow statements</link:definition>
<link:usedOn>link:presentationLink</link:usedOn>
<link:usedOn>link:definitionLink</link:usedOn>
<link:usedOn>link:calculationLink</link:usedOn>
</link:roleType>
<link:roleType roleURI="http://www.derwentlondon.com/role/CashFlowStatementsParentheticals" id="CashFlowStatementsParentheticals">
<link:definition>1007 - Statement - Cash flow statements (Parentheticals)</link:definition>
<link:usedOn>link:presentationLink</link:usedOn>
<link:usedOn>link:definitionLink</link:usedOn>
<link:usedOn>link:calculationLink</link:usedOn>
</link:roleType>
<link:roleType roleURI="http://www.derwentlondon.com/role/TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport" id="TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport">
<link:definition>1008 - Disclosure - Tags that must be applied if corresponding information is present in a report</link:definition>
<link:usedOn>link:presentationLink</link:usedOn>
<link:usedOn>link:definitionLink</link:usedOn>
<link:usedOn>link:calculationLink</link:usedOn>
</link:roleType>
<link:roleType roleURI="http://www.derwentlondon.com/role/Anchoring" id="Anchoring">
<link:definition>Anchoring</link:definition>
<link:usedOn>link:definitionLink</link:usedOn>
</link:roleType>
<link:linkbaseRef xlink:type="simple" xlink:href="213800BXKQ9KZNUR1M61-2023-12-31_pre.xml" xlink:role="http://www.xbrl.org/2003/role/presentationLinkbaseRef" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" />
<link:linkbaseRef xlink:type="simple" xlink:href="213800BXKQ9KZNUR1M61-2023-12-31_def.xml" xlink:role="http://www.xbrl.org/2003/role/definitionLinkbaseRef" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" />
<link:linkbaseRef xlink:type="simple" xlink:href="213800BXKQ9KZNUR1M61-2023-12-31_lab-en.xml" xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" />
<link:linkbaseRef xlink:type="simple" xlink:href="213800BXKQ9KZNUR1M61-2023-12-31_cal.xml" xlink:role="http://www.xbrl.org/2003/role/calculationLinkbaseRef" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" />
<link:linkbaseRef xlink:type="simple" xlink:href="https://www.esma.europa.eu/taxonomy/2022-03-24/esef_cor-lab-en.xml" xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" />
<link:linkbaseRef xlink:type="simple" xlink:href="https://www.esma.europa.eu/taxonomy/2022-03-24/esef_cor-gen-en.xml" xlink:role="http://www.xbrl.org/2003/role/LinkbaseRef" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" />
</appinfo>
</annotation>
<import namespace="http://www.xbrl.org/2003/instance" schemaLocation="http://www.xbrl.org/2003/xbrl-instance-2003-12-31.xsd" />
<import namespace="http://www.xbrl.org/2003/linkbase" schemaLocation="http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd" />
<import namespace="http://xbrl.org/2005/xbrldt" schemaLocation="http://www.xbrl.org/2005/xbrldt-2005.xsd" />
<import namespace="http://www.xbrl.org/2009/role/negated" schemaLocation="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd" />
<import namespace="https://www.esma.europa.eu/taxonomy/2022-03-24/esef_cor" schemaLocation="https://www.esma.europa.eu/taxonomy/2022-03-24/esef_cor.xsd" />
<import namespace="http://www.xbrl.org/dtr/type/2020-01-21" schemaLocation="https://www.xbrl.org/dtr/type/2020-01-21/types.xsd" />
<element name="FinancialDerivativeTerminationIncomeCosts" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="duration" nillable="true" id="dln_FinancialDerivativeTerminationIncomeCosts" substitutionGroup="xbrli:item" xbrli:balance="debit" />
<element name="NetPropertyAndOtherIncome" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="duration" nillable="true" id="dln_NetPropertyAndOtherIncome" substitutionGroup="xbrli:item" xbrli:balance="credit" />
<element name="TradingProperty" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="instant" nillable="true" id="dln_TradingProperty" substitutionGroup="xbrli:item" xbrli:balance="debit" />
<element name="TradingStock" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="instant" nillable="true" id="dln_TradingStock" substitutionGroup="xbrli:item" xbrli:balance="debit" />
<element name="FinancialDerivativeTerminationIncomeCostsClassifiedAsFinancingActivities" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="duration" nillable="true" id="dln_FinancialDerivativeTerminationIncomeCostsClassifiedAsFinancingActivities" substitutionGroup="xbrli:item" xbrli:balance="debit" />
<element name="NetMovementInIntercompanyLoansClassifiedAsFinancingActivities" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="duration" nillable="true" id="dln_NetMovementInIntercompanyLoansClassifiedAsFinancingActivities" substitutionGroup="xbrli:item" xbrli:balance="debit" />
<element name="RepaymentOfJointVentureLoansClassifiedAsInvestingActivities" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="duration" nillable="true" id="dln_RepaymentOfJointVentureLoansClassifiedAsInvestingActivities" substitutionGroup="xbrli:item" xbrli:balance="debit" />
<element name="VATMovementClassifiedAsInvestingActivities" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="duration" nillable="true" id="dln_VATMovementClassifiedAsInvestingActivities" substitutionGroup="xbrli:item" xbrli:balance="debit" />
<element name="DistributionsFromJointVenturesClassifiedAsOperatingActivities" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="duration" nillable="true" id="dln_DistributionsFromJointVenturesClassifiedAsOperatingActivities" substitutionGroup="xbrli:item" xbrli:balance="debit" />
<element name="InterestAndOtherFinanceCostsPaidClassifiedAsOperatingActivities" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="duration" nillable="true" id="dln_InterestAndOtherFinanceCostsPaidClassifiedAsOperatingActivities" substitutionGroup="xbrli:item" xbrli:balance="credit" />
<element name="DisclosureOfGearingAndInterestCover" type="dtr-types:textBlockItemType" abstract="false" xbrli:periodType="duration" nillable="true" id="dln_DisclosureOfGearingAndInterestCover" substitutionGroup="xbrli:item" />
<element name="DisclosureOfTotalReturnTextBlock" type="dtr-types:textBlockItemType" abstract="false" xbrli:periodType="duration" nillable="true" id="dln_DisclosureOfTotalReturnTextBlock" substitutionGroup="xbrli:item" />
</schema>